Bug 754757 - (CVE-2011-4315) CVE-2011-4315 nginx: heap overflow in ngx_resolver_copy()
CVE-2011-4315 nginx: heap overflow in ngx_resolver_copy()
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20111109,repor...
: Security
Depends On: 754758 754759
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-17 11:27 EST by Vincent Danen
Modified: 2013-01-23 08:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-23 08:39:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-11-17 11:27:51 EST
It was reported [1] that a heap overflow flaw in nginx's custom DNS resolver was corrected in upstream version 1.0.10 [2],[3].  This resolver is most commonly used with the proxy and fastcgi modules, which are not enabled by default.  As well, a malicious user would need to be in control of an upstream resolver host, or be able to brute-force the weakly-generated 16-bit transaction identifier, to exploit the flaw.

[1] http://seclists.org/oss-sec/2011/q4/323
[2] http://nginx.org/en/CHANGES-1.0
[3] http://trac.nginx.org/nginx/changeset/4268/nginx
Comment 1 Vincent Danen 2011-11-17 11:29:36 EST
Created nginx tracking bugs for this issue

Affects: fedora-all [bug 754758]
Affects: epel-all [bug 754759]
Comment 2 Fedora Update System 2011-12-05 19:59:36 EST
nginx-1.0.10-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2011-12-05 20:03:28 EST
nginx-1.0.10-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.